bcr_test_module:
  module_path: "example/bzlmod"
  matrix:
    platform: ["macos", "ubuntu2004"]
    bazel: ["7.*", "8.*", "9.*"]
  tasks:
    run_tests:
      name: "Build and test the example module"
      platform: ${{ platform }}
      bazel: ${{ bazel }}
      shell_commands:
        # Generate the BUILD files for the test module using Gazelle
        - bazel run //:gazelle
      build_targets:
        - //...
      test_targets:
        - //...
